%define __spec_install_post exit 0
Name: amanda
Version: 2.4.1p1
Release: 7
Source: ftp://ftp.amanda.org/pub/amanda/amanda-2.4.1p1.tar.gz
Source1: amanda.crontab
Source2: __README_QUICKSETUP__
Source3: amanda.conf
Source4: disklist
Patch0: amanda-glibc21.patch
Patch1: amanda-glibc22.patch
Copyright: distributable
Group: Applications/System
URL: http://www.amanda.org
Summary: A network-capable tape backup solution.
BuildRoot: /var/tmp/amanda-root
BuildRequires: gnuplot

%description 
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a single
master backup server to back up multiple hosts to a single large capacity
tape drive.  AMANDA uses native dump and/or GNU tar facilities and can
back up a large number of workstations running multiple versions of Unix.
Newer versions of AMANDA (including this version) can use SAMBA to back
up Microsoft(TM) Windows95/NT hosts.  The amanda package contains the
core AMANDA programs and will need to be installed on both AMANDA clients
and AMANDA servers.  Note that you will have to install the amanda-client
and amanda-server packages as well.

%package client
Summary: The client component of the AMANDA tape backup system.
Group: Applications/System

%description client
The Amanda-client package should be installed on any machine that will
be backed up by AMANDA (including the server if it also needs to be
backed up).  You will also need to install the amanda package to each
AMANDA client.

%package server
Summary: The server side of the AMANDA tape backup system.
Group: Applications/System
Requires: gnuplot

%description server
The amanda-server package should be installed on the AMANDA server,
the machine attached to the device (such as a tape drive) where backups
will be written. You will also need to install the amanda package to
the AMANDA server.  And, if the server is also to be backed up, the
server also needs to have the amanda-client package installed.

%prep
%setup -q
%patch0 -p1 -b .tim
%patch1 -p1 -b .tim1

%build
#fixes build issues on some newer arch's
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --bindir=/usr/sbin \
	--mandir=/usr/man --libexecdir=/usr/lib/amanda --sysconfdir=/etc \
	--localstatedir=/var/lib --with-index-server=localhost \
	--with-gnutar-listdir=/var/lib/amanda/gnutar-lists \
	--with-smbclient=/usr/bin/smbclient --with-amandahosts \
	--with-user=operator --with-group=disk --with-gnutar=/bin/tar
	
make
(cd common-src; make security)

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/usr/man \
		bindir=$RPM_BUILD_ROOT/usr/sbin libexecdir=$RPM_BUILD_ROOT/usr/lib/amanda

mkdir -p $RPM_BUILD_ROOT/etc/amanda/DailySet1
cp ${RPM_SOURCE_DIR}/amanda.crontab $RPM_BUILD_ROOT/etc/amanda/crontab.sample

cp common-src/security $RPM_BUILD_ROOT/usr/sbin/

mv example examples
rm examples/Makefile*
rm examples/config.site
cp ${RPM_SOURCE_DIR}/amanda.conf $RPM_BUILD_ROOT/etc/amanda/DailySet1
cp ${RPM_SOURCE_DIR}/disklist $RPM_BUILD_ROOT/etc/amanda/DailySet1

cp ${RPM_SOURCE_DIR}/__README_QUICKSETUP__ docs/

mkdir -p $RPM_BUILD_ROOT/var/lib/amanda/gnutar-lists
mkdir -p $RPM_BUILD_ROOT/var/lib/amanda/DailySet1/index
touch $RPM_BUILD_ROOT/etc/amandates

chmod 755 $RPM_BUILD_ROOT/usr/lib/libam*

strip $RPM_BUILD_ROOT/usr/sbin/* || :
strip --strip-debug $RPM_BUILD_ROOT/usr/lib/amanda/* || :
gzip $RPM_BUILD_ROOT/usr/man/*/* || :

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%post client
/sbin/ldconfig
mv /etc/inetd.conf /etc/inetd.conf_amanda_client.sav
cat /etc/inetd.conf_amanda_client.sav | grep -v "^amanda[   ]" > /etc/inetd.conf
echo "amanda    dgram  udp wait    operator.disk /usr/sbin/tcpd /usr/lib/amanda/amandad" >> /etc/inetd.conf
mv /etc/inetd.conf_amanda_client.sav /tmp
/etc/rc.d/init.d/inet reload

# make sure there is an .amandahosts file, allow localhost by default
if [ ! -f ~operator/.amandahosts ]; then
  echo "localhost operator" > ~operator/.amandahosts
	echo "localhost.localdomain operator" > ~operator/.amandahosts
fi
# make sure user operator has an .amandahosts file
touch ~operator/.amandahosts
chown operator.disk ~operator/.amandahosts
chmod 660 ~operator/.amandahosts

%post server
/sbin/ldconfig
mv /etc/inetd.conf /etc/inetd.conf_amanda_server.sav
cat /etc/inetd.conf_amanda_server.sav | grep -v "^amidxtape[  ]" | grep -v "^amandaidx[  ]" > /etc/inetd.conf
echo "amandaidx stream tcp nowait  operator.disk /usr/sbin/tcpd /usr/lib/amanda/amindexd" >> /etc/inetd.conf
echo "amidxtape stream tcp nowait  operator.disk /usr/sbin/tcpd /usr/lib/amanda/amidxtaped" >> /etc/inetd.conf
/etc/rc.d/init.d/inet reload

%postun
/sbin/ldconfig

%postun client
/sbin/ldconfig
mv /etc/inetd.conf /etc/inetd.conf_amanda_client.sav
cat /etc/inetd.conf_amanda_client.sav | grep -v "^amanda[   ]" > /etc/inetd.conf
mv /etc/inetd.conf_amanda_client.sav /tmp
/etc/rc.d/init.d/inet reload

%postun server
/sbin/ldconfig
mv /etc/inetd.conf /etc/inetd.conf_amanda_server.sav
cat /etc/inetd.conf_amanda_server.sav | grep -v "^amidxtape[  ]" | grep -v "^amandaidx[  ]" > /etc/inetd.conf
mv /etc/inetd.conf_amanda_server.sav /tmp
/etc/rc.d/init.d/inet reload

%files
%defattr (755, root, root, 755)
/usr/lib/libamanda*
/usr/lib/libamtape*
/usr/lib/amanda/amidxtaped
/usr/sbin/amrestore
%defattr (644, root, root, 755)
/usr/man/man8/amrestore.8.gz
%doc examples docs/*
%defattr (644, operator, disk, 755)
/var/lib/amanda
/etc/amandates

%files server
%defattr (755, root, root, 755)
/usr/lib/libamserver*
/usr/lib/amanda/amindexd
/usr/lib/amanda/amtrmidx
/usr/lib/amanda/driver
/usr/lib/amanda/getconf
/usr/lib/amanda/taper
/usr/lib/amanda/chg-chio
/usr/lib/amanda/chg-manual
/usr/lib/amanda/chg-multi
/usr/lib/amanda/chg-mtx
/usr/lib/amanda/chg-rth
/usr/lib/amanda/chg-chs
%attr(4750,root,root)/usr/lib/amanda/dumper
%attr(4750,root,root)/usr/lib/amanda/planner
/usr/sbin/amadmin
/usr/sbin/amflush
/usr/sbin/amlabel
/usr/sbin/amtape
/usr/sbin/amcheckdb
/usr/sbin/amcleanup
/usr/sbin/amdump
/usr/sbin/amoverview
/usr/sbin/amrmtape
/usr/sbin/amtoc
/usr/sbin/amverify
/usr/sbin/amplot
/usr/sbin/amreport
/usr/sbin/amstatus
%attr(4750,root,root)/usr/sbin/amcheck
%defattr (644, root, root, 755)
/usr/lib/amanda/amcat.awk
/usr/lib/amanda/amplot.awk
/usr/lib/amanda/amplot.g
/usr/lib/amanda/amplot.gp
/usr/man/man8/amadmin.8.gz
/usr/man/man8/amrmtape.8.gz
/usr/man/man8/amtape.8.gz
/usr/man/man8/amtoc.8.gz
/usr/man/man8/amanda.8.gz
/usr/man/man8/amcheck.8.gz
/usr/man/man8/amcleanup.8.gz
/usr/man/man8/amdump.8.gz
/usr/man/man8/amflush.8.gz
/usr/man/man8/amlabel.8.gz
/usr/man/man8/amplot.8.gz
/usr/man/man8/amreport.8.gz
/usr/man/man8/amstatus.8.gz

%files client
%defattr (755, root, root, 755)
/usr/lib/libamclient*
/usr/lib/amanda/amandad
/usr/lib/amanda/calcsize
/usr/lib/amanda/killpgrp
/usr/lib/amanda/patch-system
/usr/lib/amanda/rundump
/usr/lib/amanda/selfcheck
/usr/lib/amanda/sendbackup
/usr/lib/amanda/sendsize
/usr/lib/amanda/versionsuffix
%attr(4750,root,disk)/usr/lib/amanda/runtar
/usr/sbin/amrecover
/usr/sbin/security
%defattr (644, root, root, 755)
/usr/man/man8/amrecover.8.gz
%defattr (644, operator, disk, 755)
%config /etc/amanda

%changelog
* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Fri Jan 21 2000 TIm Powers <timp@redhat.com>
- added chown lines to post section

* Tue Jan 11 2000 Tim Powers <timp@redhat.com>
- make sure the man pages are gzipped in each subpackage, overriding the build
	system spec_install_post macro.
- using mega spec file changes from Marc Merlin <merlin_bts@valinux.com> since
	the package we were shipping in the past had some major issues (not in
	Marc's words ;)
- using Marc's added README and modified config files.
- adapted patches written by Alexandre Oliva <oliva@dcc.unicamp.br> from Marc
	Merlin's package so that the patch matches the source version (the patches
	are the glibc2.1 and glibc2.2 patches)

* Mon Jan 3 2000 Tim Powers <timp@redhat.com>
- fix so configure doesn't crap out (libtoolize --force)
- gzip man pages, strip binaries
- rebuilt for 6.2

* Thu Aug 5 1999 Tim Powers <timp@redhat.com>
- applied patch so that it reports the available holding disk space correctly

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- added %defattr lines
- rebuilt for 6.1

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4.1p1

* Tue Oct 27 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.1

* Tue May 19 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to full 2.4.0 release

* Thu Feb 19 1998 Otto Hammersmith <otto@redhat.com>
- fixed group for -client and -server packages (Network->Networking)

* Wed Feb 11 1998 Otto Hammersmith <otto@redhat.com>
- updated to 2.4.0b6, fixes security hole among other things
  (as well as finally got the glibc patch in the main source.)
 
* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- moved versionsuffix to client package to remove dependency of amanda on amanda-client

* Mon Jan 26 1998 Otto Hammersmith <otto@redhat.com>
- fixed libexec garbage.

* Wed Jan 21 1998 Otto Hammersmith <otto@redhat.com>
- split into three packages amanda, amanda-client, and amanda-server

* Fri Jan  9 1998 Otto Hammersmith <otto@redhat.com>
- updated to latest beta... builds much cleaner now.

* Thu Jan  8 1998 Otto Hammersmith <otto@redhat.com>
- created the package

